//
//  CircularGauge.h
//  HA7 logger mini
//  Copyright(C)2012-2015 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2012.02.08 v0.0  First cording
//    2012.02.12 v0.2  Commit
//    2013.04.27 v0.4  iOS
//    2013.05.06 v0.4  Smooth move
//    2015.03.10 v0.5  scale1 and 2
//

//#import <Cocoa/Cocoa.h>
#import <UIKit/UIKit.h>

//@interface CircularGauge : NSView {
@interface CircularGauge : UIView {
	NSString *val_low;
	NSString *val_high;
	NSString *val_warning;
	NSString *val_critical;
    NSString *val_scale1;                   // ADD 2015.03.10
    NSString *val_scale2;                   // ADD 2015.03.10
	
//	CGFloat val;
//	CGFloat val_t;
//	CGFloat val_l;
//	CGFloat val_h;
//	CGFloat val_w;
//	CGFloat val_c;
//	CGFloat val_peak1;
//	CGFloat val_peak2;
	float val;
	float val_t;
	float val_l;
	float val_h;
	float val_w;
	float val_c;
	float val_peak1;
	float val_peak2;
    float val_s1;                           // ADD 2015.03.10
    float val_s2;                           // ADD 2015.03.10
}

- (IBAction)setValue:(id)sender;
- (IBAction)setIntValue:(int)sender;
- (IBAction)setFloatValue:(float)sender;
- (IBAction)setPeakValue:(id)sender;

//@property (assign, nonatomic) NSString *val_low;
//@property (assign, nonatomic) NSString *val_high;
//@property (assign, nonatomic) NSString *val_warning;
//@property (assign, nonatomic) NSString *val_critical;
@property (retain, nonatomic) NSString *val_low;
@property (retain, nonatomic) NSString *val_high;
@property (retain, nonatomic) NSString *val_warning;
@property (retain, nonatomic) NSString *val_critical;
@property (retain, nonatomic) NSString *val_scale1;       // ADD 2015.03.10
@property (retain, nonatomic) NSString *val_scale2;       // ADD 2015.03.10

//@property (nonatomic) CGFloat val;
//@property (nonatomic) CGFloat val_t;
//@property (nonatomic) CGFloat val_l;
//@property (nonatomic) CGFloat val_w;
//@property (nonatomic) CGFloat val_c;
//@property (nonatomic) CGFloat val_peak1;
//@property (nonatomic) CGFloat val_peak2;
@property (nonatomic) float val;
@property (nonatomic) float val_t;
@property (nonatomic) float val_h;
@property (nonatomic) float val_l;
@property (nonatomic) float val_w;
@property (nonatomic) float val_c;
@property (nonatomic) float val_peak1;
@property (nonatomic) float val_peak2;
@property (nonatomic) float val_s1;         // ADD 2015.03.10
@property (nonatomic) float val_s2;         // ADD 2015.03.10
@property (strong, nonatomic)   NSTimer         *updateTimer;

@end

